body {
  font-family: "Lucida Console", sans-serif;
  font-size: 15px;
  background: url("https://i.pinimg.com/1200x/a9/68/3d/a9683df9eb7b74e6238d7c988d2b369a.jpg") fixed; /*Replace with your own background*/
	color: #f8eef6
	}
	
a {
  color: #f8eef6;
  }

/*Main text section*/
.main { 
  border-radius: 5px;
  background: #2e2226;
   border: 20px solid transparent;
border-image: url('https://64.media.tumblr.com/0c03a3021a4aa9af600cac7c8444013e/393584b2597684d6-ec/s100x200/53e600c36d0e510af2709bba6903d0a24a3f7471.gifv') 20 round;
  background-clip:
    padding-box;
  width: 500px;
  padding:15px;
  margin: 20px 25px 25px 400px;
  }
  
/*Prevent overflow of large images*/
.main img, .sidebar-left img {
  max-width: 100%;
  height: auto;
  }
  
/*Sidebar*/
.sidebar-left {
  background: #2e2226;
  border: 20px solid transparent;
border-image: url('https://64.media.tumblr.com/900e56b32f3763868d8e5fa4f82ec6f1/23a43dcdd0fb50e4-31/s400x600/e0c208a5222d732a76f1043fac9541e024c4be3d.pnj') 45 round;
  background-clip:
    padding-box;
  width: 250px;
  margin-left:75px;
  padding:15px;
  margin-top:-25px;
  min-height:100%;
  position:fixed;
  overflow:auto;
  text-align:center;
  }
  
  
  /* navigation bar */
/* ------------------------- */


	:root {
		--bg: #ff6ea3;
		--gradient-top: white;
		--gradient-bottom: rgb(245, 248, 255, 8);
	}


nav {
	border: 2px ridge var(--border);
	border-radius: 5px;
	padding: 5px;
	background-color: #21191e;
}
nav div {
	text-align: center;
	font-size: 1.25rem;
	margin: 5px 5px 10px 5px;
}
nav a {
	display: block;
	margin: 5px;
	background: linear-gradient(to top,var(--bg),var(--gradient-bottom));
	border-radius: 5px;
	padding: 2px 7px;
	text-decoration: none;
}
nav a:link, nav a:visited { 
	color: var(--text);
}
nav a:hover, nav a:focus {
	background: linear-gradient(to right,var(--bg), var(--gradient-bottom), var(--gradient-top));
}

  
/*Use with <ul> to create a button section in the sidebar.*/
.buttons {
  list-style-type:none;
  padding:3px;
  }
  
/*Use with <li> for individual buttons.*/
.button { 
  text-align:center;
  border-radius: 5px;
  border: 1px solid green;
  padding: 10px;
  margin:5px;
  margin-top:10px;
  margin-bottom:10px;
  }
  
.sideimage { /*optional*/
  right: 30px;
  bottom:-20px;
  float: right;
  position: fixed;
  max-width: 450px;
  }
  
.sideimage img {
  max-width: 100%;
  height: auto;  
  }

  
@media(max-width: 1440px) {
    .sideimage {
      max-width: 0%;
      /*if this can be executed, override the previous rule, otherwise hide the side image*/
      max-width: calc(100% - 975px);
      }
  }
  
@media(max-width: 1200px) {
    .sidebar-left {
      margin-left: 25px;
      }
    
    .main {
      margin-left: 350px;
      }
  
    .sideimage {
      right: 5px;
      max-width: 0%;
      /*if this can be executed, override the previous rule, otherwise hide the side image*/
      max-width: calc(100% - 900px);
      }
  }
  
@media(max-width: 1000px) {
  
    .sidebar-left {
      margin-left: 5px;
      }
    
    .main {
      margin-left: 330px;
      }
  
    .sideimage {
      /*don't even bother at this point*/
      display: none;
      }
  }

  
/*Tentative mobile support.*/
@media(orientation:portrait) {
  .sidebar-left {
    min-height:0px;
    width: 100%;
    margin: 0 auto;
    top:0;
    left: 0;
    padding: 0;
    font-size: 0.9em;
    position: relative;
    border-radius: 5px;
    }
    
  .main {
    width: 90%;
    margin: 0 auto;
    margin-top: 1em;
    }
    
  .sideimage {
    /*don't even bother*/
    display: none;
    }
  }
   
 
 
 
 
/* cursor */
/* ------------------------- */


html {
  cursor: url(https://64.media.tumblr.com/179de0f393cc90fb96e05f29236fcc82/e9cbf4a284353a66-08/s75x75_c1/5eb494cfb5302f651796e85f47f3841674a50474.gifv), auto;
}    

a, button {
  cursor: url('https://64.media.tumblr.com/179de0f393cc90fb96e05f29236fcc82/e9cbf4a284353a66-08/s75x75_c1/5eb494cfb5302f651796e85f47f3841674a50474.gifv'), pointer;
}

   
 
/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #21191e; 
  box-shadow: inset 0 0 5px black; 
  border-radius: 0px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #FCACD7; 
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #FCACD7; 
  
